net.minecraft.world.chunk.storage

## Class AnvilSaveConverter

- java.lang.Object
- - net.minecraft.world.storage.SaveFormatOld
  - - net.minecraft.world.chunk.storage.AnvilSaveConverter

- All Implemented Interfaces:
    ISaveFormat

      public class AnvilSaveConverter
      extends SaveFormatOld

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnvilSaveConverter(File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `convertMapFormat(String par1Str, IProgressUpdate par2IProgressUpdate)` Converts the specified map to the new map format.
    `void` | `flushCache()`
    `List` | `getSaveList()`
    `ISaveHandler` | `getSaveLoader(String par1Str, boolean par2)` Returns back a loader for the specified save directory
    `boolean` | `isOldMapFormat(String par1Str)` Checks if the save directory uses the old map format

    - ### Methods inherited from class net.minecraft.world.storage.SaveFormatOld

      `canLoadWorld, deleteWorldDirectory, getWorldInfo, renameWorld`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnvilSaveConverter

          public AnvilSaveConverter(File par1File)

  - ### Method Detail

    - #### getSaveList

          public List getSaveList()
                           throws AnvilConverterException

      Specified by:
        `getSaveList` in interface `ISaveFormat`
      Overrides:
        `getSaveList` in class `SaveFormatOld`
      Throws:
        `AnvilConverterException`

    - #### flushCache

          public void flushCache()

      Specified by:
        `flushCache` in interface `ISaveFormat`
      Overrides:
        `flushCache` in class `SaveFormatOld`

    - #### getSaveLoader

          public ISaveHandler getSaveLoader(String par1Str,
                                   boolean par2)

      Returns back a loader for the specified save directory
      Specified by:
        `getSaveLoader` in interface `ISaveFormat`
      Overrides:
        `getSaveLoader` in class `SaveFormatOld`

    - #### isOldMapFormat

          public boolean isOldMapFormat(String par1Str)

      Checks if the save directory uses the old map format
      Specified by:
        `isOldMapFormat` in interface `ISaveFormat`
      Overrides:
        `isOldMapFormat` in class `SaveFormatOld`

    - #### convertMapFormat

          public boolean convertMapFormat(String par1Str,
                                 IProgressUpdate par2IProgressUpdate)

      Converts the specified map to the new map format. Args: worldName, loadingScreen
      Specified by:
        `convertMapFormat` in interface `ISaveFormat`
      Overrides:
        `convertMapFormat` in class `SaveFormatOld`